!
! ifort (IFORT) 19.0.4.243 20190416
! Copyright (C) 1985-2019 Intel Corporation.  All rights reserved.
!
! CentOS Linux release 7.6.1810 (Core) 
!
! model name      : Intel(R) Xeon(R) Gold 6130 CPU @ 2.10GHz
!
! ifort -o test test.f
! ./test
!
! forrtl: severe (174): SIGSEGV, segmentation fault occurred
! Image              PC                Routine            Line        Source             
! test               00000000004045D3  Unknown               Unknown  Unknown
! libpthread-2.17.s  00007F40DF0F05D0  Unknown               Unknown  Unknown
! test               00000000004036D6  Unknown               Unknown  Unknown
! test               00000000004036A2  Unknown               Unknown  Unknown
! libc-2.17.so       00007F40DED363D5  __libc_start_main     Unknown  Unknown
! test               00000000004035A9  Unknown               Unknown  Unknown
!
        program dft

          integer, parameter          :: n=1050000 ! segfaults
!         integer, parameter          :: n=1040000 ! works
          real     ( 8), dimension(n) :: at,bt
        
          call dft_out(at-bt)

        contains

          subroutine dft_out(x)
            real(8) :: x(:)
            print*,x(1)
          end subroutine

        end program

